Index: src/main/java/com/tourMate/services/impl/ReviewManagerImpl.java
===================================================================
--- src/main/java/com/tourMate/services/impl/ReviewManagerImpl.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/impl/ReviewManagerImpl.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -3,8 +3,5 @@
 import com.tourMate.dao.ReviewDao;
 import com.tourMate.dao.ReviewManager;
-import com.tourMate.entities.Hotels;
-import com.tourMate.entities.Restaurant;
-import com.tourMate.entities.Reviews;
-import com.tourMate.entities.Transport;
+import com.tourMate.entities.*;
 import com.tourMate.services.HotelManager;
 import com.tourMate.services.RestaurantManager;
@@ -29,5 +26,5 @@
 
     @Override
-    public void createReview(String title, int numStar, String description, Long hotel, Long restaurant, Long transport) {
+    public void createReview(String title, int numStar, String description, Long hotel, Long restaurant, Long transport, Long reservationId) {
         Hotels h = null;
         Restaurant r = null;
@@ -36,12 +33,15 @@
         {
             h = hotelManager.findHotelByID(hotel);
+            hotelManager.setReservationReviewed(reservationId);
         }
         if(restaurant != null)
         {
             r = restaurantManager.findRestaurantByID(restaurant);
+            restaurantManager.setReservationReviewed(reservationId);
         }
         if(transport != null)
         {
             t = transportManager.getTransportById(transport);
+            transportManager.setReservationReviewed(reservationId);
         }
         Reviews review = new Reviews (title, numStar, description, h, r, t);
@@ -51,5 +51,6 @@
     @Override
     public void deleteReview(long id) {
-        reviewDao.deleteReview(id);
+        Reviews review = findReviewById(id);
+        reviewDao.deleteReview(review);
     }
 
@@ -61,5 +62,12 @@
     @Override
     public void editReview(long id, String title, String description, int numStar, Hotels hotel, Restaurant restaurant, Transport transport) {
-        reviewDao.editReview(id, title, description, numStar, hotel, restaurant, transport);
+        Reviews review = findReviewById(id);
+        review.setDescription(description);
+        review.setHotel(hotel);
+        review.setRestaurant(restaurant);
+        review.setTitle(title);
+        review.setNumStar(numStar);
+        review.setTransport(transport);
+        reviewDao.editReview(review);
     }
 
Index: src/main/java/com/tourMate/services/impl/TransportManagerImpl.java
===================================================================
--- src/main/java/com/tourMate/services/impl/TransportManagerImpl.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/impl/TransportManagerImpl.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -24,12 +24,16 @@
     UsersManager usersManager;
 
-    @Override
-    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate) {
-        transportDao.createTransport(transportName, carBrand, carType, carManufacturedYear, noPassengers, noBags, EMBG, owner, carPlate);
+
+    @Override
+    public void createTransport(String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, Long userId, String carPlate) {
+        User u = usersManager.findUserByID(userId);
+        Transport t=new Transport(transportName,carBrand,carType,carManufacturedYear,noPassengers,noBags,EMBG,u,carPlate);
+        transportDao.createTransport(t);
     }
 
     @Override
     public void deleteTransport(long transportId) {
-        transportDao.deleteTransport(transportId);
+        Transport t=getTransportById(transportId);
+        transportDao.deleteTransport(t);
     }
 
@@ -41,10 +45,12 @@
     @Override
     public List<TransportDto> getTransportsByUser(long userId) {
-        return transportDao.getTransportsByUser(userId);
+        User u = usersManager.findUserByID(userId);
+        return transportDao.getTransportsByUser(u);
     }
 
     @Override
     public List<RouteListingDto> getRoutesForTransport(long transportId) {
-        return transportDao.getRoutesForTransport(transportId);
+        Transport t = getTransportById(transportId);
+        return transportDao.getRoutesForTransport(t);
     }
 
@@ -61,5 +67,15 @@
     @Override
     public void editTransport(long transportID, String transportName, String carBrand, String carType, int carManufacturedYear, int noPassengers, int noBags, long EMBG, User owner, String carPlate) {
-        transportDao.editTransport(transportID, transportName, carBrand, carType, carManufacturedYear, noPassengers, noBags, EMBG, owner, carPlate);
+        Transport t=getTransportById(transportID);
+        t.setTransportName(transportName);
+        t.setCarBrand(carBrand);
+        t.setCarType(carType);
+        t.setCarManufacturedYear(carManufacturedYear);
+        t.setNoPassengers(noPassengers);
+        t.setNoBags(noBags);
+        t.setEMBG(EMBG);
+        t.setOwner(owner);
+        t.setCarPlate(carPlate);
+        transportDao.editTransport(t);
     }
 
@@ -78,4 +94,10 @@
 
     @Override
+    public List<TransportReservation> findTransportReservationByTransportId(long reservationID) {
+        Transport t = getTransportById(reservationID);
+        return transportDao.findTransportReservationByTransportId(t);
+    }
+
+    @Override
     public List<TransportReservation> getTransportReservations() {
         return transportDao.getTransportReservations();
@@ -93,5 +115,4 @@
 
     @Override
-<<<<<<< HEAD
     public List<Reviews> getReviewsForTransport(long transportId) {
         Transport transport = getTransportById(transportId);
@@ -102,8 +123,4 @@
     public List<TransportListingDto> getTransportsAvailableByFilters(String from, String to, Date date, int numPassengers) {
         List<TransportRoute> transportAvailable = transportDao.getTransportsAvailableByFilters(from, to, date, numPassengers);
-=======
-    public List<TransportListingDto> getTransportsAvailableByFilters(String from, String to, Date date) {
-        List<TransportRoute> transportAvailable = transportDao.getTransportsAvailableByFilters(from, to, date);
->>>>>>> parent of ac19a0c (authContext impl, admin panel impl, search bar fixes, reservations listings impl)
         Map<TransportAvailible, List<TransportRoute>> transportsByTransporter = transportAvailable.stream().collect(Collectors.groupingBy(x -> x.getParentRoute()));
         List<TransportListingDto> transportList = transportsByTransporter.keySet().stream().toList().stream()
@@ -136,40 +153,61 @@
     @Override
     public void createTransportAvailable(Transport transport, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour, Collection<TransportRoute> routes) {
-        transportDao.createTransportAvailable(transport, departureLocation, arrivalLocation, date, noSeats, departureHour, routes);
-    }
-
-    @Override
-    public void editTransportReservation(Transport transport, long reservationID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, User user, Date departureHour) {
-        transportDao.editTransportReservation(transport, reservationID, departureLocation, arrivalLocation, date, noSeats, user, departureHour);
+        TransportAvailible ta=new TransportAvailible(transport,departureLocation,arrivalLocation,date,noSeats,departureHour);
+        transportDao.createTransportAvailable(ta);
+        routes.forEach(x -> {
+            TransportRoute tr = new TransportRoute(ta, x.getFrom(), x.getTo(), x.getPrice(), x.getDeparture(), x.getArrival(), x.getFreeSpace(), x.getOrder());
+            transportDao.createTransportRoute(tr);
+        });
     }
 
     @Override
     public void editTransportAvailable(Transport transport, long availableID, String departureLocation, String arrivalLocation, Date date, Integer noSeats, Date departureHour) {
-        transportDao.editTransportAvailable(transport, availableID, departureLocation, arrivalLocation, date, noSeats, departureHour);
+        TransportAvailible ta=findTransportAvailableByID(availableID);
+        ta.setTransport(transport);
+        ta.setFrom(departureLocation);
+        ta.setTo(arrivalLocation);
+        ta.setDate(date);
+        ta.setFreeSpace(noSeats);
+        ta.setTime(departureHour);
+        transportDao.editTransportAvailable(ta);
     }
 
     @Override
     public void deleteTransportReservation(long reservationID) {
-        transportDao.deleteTransportReservation(reservationID);
+        TransportReservation tr=findTransportReservationByID(reservationID);
+        transportDao.deleteTransportReservation(tr);
     }
 
     @Override
     public void deleteTransportAvailable(long availableID) {
-        transportDao.deleteTransportAvailable(availableID);
+        TransportAvailible ta=findTransportAvailableByID(availableID);
+        transportDao.deleteTransportAvailable(ta);
     }
 
     @Override
     public void createTransportRoute(TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order) {
-        transportDao.createTransportRoute(parentRoute, from, to, price, departure, arrival, freeSpace, order);
+        TransportRoute tr = new TransportRoute(parentRoute, from, to, price, departure, arrival, freeSpace, order);
+
+        transportDao.createTransportRoute(tr);
     }
 
     @Override
     public void deleteTransportRoute(long transportRouteId) {
-        transportDao.deleteTransportRoute(transportRouteId);
+        TransportRoute tr = transportDao.findTransportRouteById(transportRouteId);
+        transportDao.deleteTransportRoute(tr);
     }
 
     @Override
     public void editTransportRoute(long transportRouteId, TransportAvailible parentRoute, String from, String to, double price, Date departure, Date arrival, int freeSpace, int order) {
-        transportDao.editTransportRoute(transportRouteId, parentRoute, from, to, price, departure, arrival, freeSpace, order);
+        TransportRoute tr = transportDao.findTransportRouteById(transportRouteId);
+        tr.setParentRoute(parentRoute);
+        tr.setFrom(from);
+        tr.setTo(to);
+        tr.setPrice(price);
+        tr.setDeparture(departure);
+        tr.setArrival(arrival);
+        tr.setFreeSpace(freeSpace);
+        tr.setOrder(order);
+        transportDao.editTransportRoute(tr);
     }
 
@@ -179,4 +217,5 @@
         List<TransportReservation> reservations = transportDao.findReservationByUser(u);
         return reservations.stream().map(x -> new TransportReservationUserDto(
+                x.getReservationID(),
                 x.getUser(),
                 x.getTransportRoute(),
@@ -195,4 +234,5 @@
         List<TransportReservation> reservations = transportDao.findPastReservationByUser(u);
         return reservations.stream().map(x -> new TransportReservationUserDto(
+                x.getReservationID(),
                 x.getUser(),
                 x.getTransportRoute(),
@@ -206,4 +246,11 @@
     }
 
+    @Override
+    public void setReservationReviewed(Long reservationId) {
+        TransportReservation transportReservation = findTransportReservationByID(reservationId);
+        transportReservation.setReviewed(true);
+        transportDao.saveReservation(transportReservation);
+    }
+
 }
 
Index: src/main/java/com/tourMate/services/impl/UsersManagerImpl.java
===================================================================
--- src/main/java/com/tourMate/services/impl/UsersManagerImpl.java	(revision 5528b99794e1d3a36baa8eb2f1829125b75f0174)
+++ src/main/java/com/tourMate/services/impl/UsersManagerImpl.java	(revision 07f4e8b52fa18ab7781f9660c09d7982d8cd5a0b)
@@ -45,4 +45,23 @@
 
     @Override
+    public List<User> getUnapprovedUsers() {
+        return usersDao.getUnapprovedUsers();
+    }
+
+    @Override
+    public void approveUserProfile(long userId) {
+        User u = findUserByID(userId);
+        usersDao.approveUserProfile(u);
+    }
+
+    @Override
+    public void unlock(Long id) {
+        User u = findUserByID(id);
+        u.setLocked(!u.isLocked());
+        u.setEnabled(true);
+        usersDao.updateUser(u);
+    }
+
+    @Override
     public UserDetails loadUserByUsername(String username) throws UsernameNotFoundException {
         return usersDao.findUserByUsername(username);
